/*
 * Copyright 2005-2007 Portal Application Laboratory and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package jp.sf.pal.admin.web.user;

import java.io.Serializable;

import jp.sf.pal.admin.PALAdminException;
import jp.sf.pal.admin.web.CrudType;
import jp.sf.pal.common.util.FacesMessageUtil;

import org.seasar.framework.log.Logger;

public class UserAttributeEditPage extends AbstractUserAttributePage implements
        Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -6429222904388985538L;

    /**
     * Logger for this class
     */
    private static final Logger logger = Logger
            .getLogger(UserAttributeEditPage.class);

    public String initialize() {
        return null;
    }

    public String prerender() {
        if (getCrudType() == CrudType.UPDATE) {
            //  update
            if (getKey() != null) {
                try {
                    getUserManagementService().loadPage(this);
                } catch (PALAdminException e) {
                    FacesMessageUtil
                            .addErrorMessage("failed.to.get.userattributes");
                    logger.error("Failed to get user attributes: " + getName(),
                            e);
                }
            } else {
                setCrudType(CrudType.CREATE);
            }
        }

        // render FacesMessages
        FacesMessageUtil.renderMessages();
        return null;
    }

    public Class doBack() {
        setCrudType(CrudType.READ);
        return UserAttributeListPage.class;
    }
}
